wxWidgets: wxColourData Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
wxColourData Class Reference
Common Dialogs | Data Structures

`#include <wx/colourdata.h>`

Inheritance diagram for wxColourData:
[legend]

## Detailed Description

This class holds a variety of information related to colour dialogs.

##

Library: wxCore
Category: Common Dialogs, Data Structures

See Also
  wxColour, wxColourDialog, wxColourDialog Overview

## Public Types
enum | { NUM_CUSTOM = 16 }
| number of custom colours we store More...

## Public Member Functions
| wxColourData ()
| Constructor.
virtual | ~wxColourData ()
| Destructor.
bool | GetChooseFull () const
| Under Windows, determines whether the Windows colour dialog will display the full dialog with custom colour selection controls.
wxColour & | GetColour ()
| Gets the current colour associated with the colour dialog.
wxColour | GetCustomColour (int i) const
| Returns custom colours associated with the colour dialog.
void | SetChooseFull (bool flag)
| Under Windows, tells the Windows colour dialog to display the full dialog with custom colour selection controls.
void | SetColour (const wxColour &colour)
| Sets the default colour for the colour dialog.
void | SetCustomColour (int i, const wxColour &colour)
| Sets custom colours for the colour dialog.
wxString | ToString () const
| Converts the colours saved in this class in a string form, separating the various colours with a comma.
bool | FromString (const wxString &str)
| Decodes the given string, which should be in the same format returned by ToString(), and sets the internal colours.
wxColourData & | operator= (const wxColourData &data)
| Assignment operator for the colour data.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Member Enumeration Documentation

anonymous enum

number of custom colours we store

Enumerator:

  NUM_CUSTOM |

## Constructor & Destructor Documentation

wxColourData::wxColourData | ( |  | ) |

Constructor.

Initializes the custom colours to `wxNullColour`, the data colour setting to black, and the choose full setting to true.

virtual wxColourData::~wxColourData | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

bool wxColourData::FromString | ( | const wxString & | str | ) |

Decodes the given string, which should be in the same format returned by ToString(), and sets the internal colours.

bool wxColourData::GetChooseFull | ( |  | ) | const

Under Windows, determines whether the Windows colour dialog will display the full dialog with custom colour selection controls.

Has no meaning under other platforms.

The default value is true.

wxColour& wxColourData::GetColour | ( |  | ) |

Gets the current colour associated with the colour dialog.

The default colour is black.

wxColour wxColourData::GetCustomColour | ( | int | i | ) | const

Returns custom colours associated with the colour dialog.

Parameters

  i | An integer between 0 and 15, being any of the 15 custom colours that the user has saved. The default custom colours are invalid colours.

wxColourData& wxColourData::operator= | ( | const wxColourData & | data | ) |

Assignment operator for the colour data.

void wxColourData::SetChooseFull | ( | bool | flag | ) |

Under Windows, tells the Windows colour dialog to display the full dialog with custom colour selection controls.

Under other platforms, has no effect.

The default value is true.

void wxColourData::SetColour | ( | const wxColour & | colour | ) |

Sets the default colour for the colour dialog.

The default colour is black.

void wxColourData::SetCustomColour | ( | int | i,
|  | const wxColour & | colour
| ) |  |

Sets custom colours for the colour dialog.

Parameters

  i | An integer between 0 and 15 for whatever custom colour you want to set. The default custom colours are invalid colours.
  colour | The colour to set

wxString wxColourData::ToString | ( |  | ) | const

Converts the colours saved in this class in a string form, separating the various colours with a comma.